org.eclipse.aether.impl

## Class UpdateCheck<T,E extends RepositoryException>

- java.lang.Object
- - org.eclipse.aether.impl.UpdateCheck<T,E>

-     public final class UpdateCheck<T,E extends RepositoryException>
      extends Object

  A request to check if an update of an artifact/metadata from a remote repository is needed.
  See Also:
    `UpdateCheckManager`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateCheck()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteRepository` | `getAuthoritativeRepository()` Gets the repository which ultimately hosts the metadata to update.
    `E` | `getException()` Gets the exception that occurred during the update check.
    `File` | `getFile()` Returns the local file of the item.
    `T` | `getItem()` Gets the item of the check.
    `long` | `getLocalLastUpdated()` Gets the last-modified timestamp of the corresponding item produced by a local installation.
    `String` | `getPolicy()` Gets the policy to use for the check.
    `RemoteRepository` | `getRepository()` Gets the repository from which a potential update/download will performed.
    `boolean` | `isFileValid()` Indicates whether the local file given by `getFile()`, if existent, should be considered valid or not.
    `boolean` | `isRequired()` Gets the result of a check, denoting whether the remote repository should be checked for updates.
    `UpdateCheck<T,E>` | `setAuthoritativeRepository(RemoteRepository authoritativeRepository)` Sets the repository which ultimately hosts the metadata to update.
    `UpdateCheck<T,E>` | `setException(E exception)` Sets the exception for this update check.
    `UpdateCheck<T,E>` | `setFile(File file)` Sets the local file of the item.
    `UpdateCheck<T,E>` | `setFileValid(boolean fileValid)` Controls whether the local file given by `getFile()`, if existent, should be considered valid or not.
    `UpdateCheck<T,E>` | `setItem(T item)` Sets the item of the check.
    `UpdateCheck<T,E>` | `setLocalLastUpdated(long localLastUpdated)` Sets the last-modified timestamp of the corresponding item produced by a local installation.
    `UpdateCheck<T,E>` | `setPolicy(String policy)` Sets the policy to use for the check.
    `UpdateCheck<T,E>` | `setRepository(RemoteRepository repository)` Sets the repository from which a potential update/download will performed.
    `UpdateCheck<T,E>` | `setRequired(boolean required)` Sets the result of an update check.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateCheck

          public UpdateCheck()

  - ### Method Detail

    - #### getLocalLastUpdated

          public long getLocalLastUpdated()

      Gets the last-modified timestamp of the corresponding item produced by a local installation. If non-zero, a remote update will be surpressed if the local item is up-to-date, even if the remote item has not been cached locally.
      Returns:
        The last-modified timestamp of the corresponding item produced by a local installation or `0` to ignore any local item.

    - #### setLocalLastUpdated

          public UpdateCheck<T,E> setLocalLastUpdated(long localLastUpdated)

      Sets the last-modified timestamp of the corresponding item produced by a local installation. If non-zero, a remote update will be surpressed if the local item is up-to-date, even if the remote item has not been cached locally.
      Parameters:
        `localLastUpdated` - The last-modified timestamp of the corresponding item produced by a local installation or `0` to ignore any local item.
      Returns:
        This object for chaining.

    - #### getItem

          public T getItem()

      Gets the item of the check.
      Returns:
        The item of the check, never `null`.

    - #### setItem

          public UpdateCheck<T,E> setItem(T item)

      Sets the item of the check.
      Parameters:
        `item` - The item of the check, must not be `null`.
      Returns:
        This object for chaining.

    - #### getFile

          public File getFile()

      Returns the local file of the item.
      Returns:
        The local file of the item.

    - #### setFile

          public UpdateCheck<T,E> setFile(File file)

      Sets the local file of the item.
      Parameters:
        `file` - The file of the item, never `null` .
      Returns:
        This object for chaining.

    - #### isFileValid

          public boolean isFileValid()

      Indicates whether the local file given by `getFile()`, if existent, should be considered valid or not. An invalid file is equivalent to a physically missing file.
      Returns:
        `true` if the file should be considered valid if existent, `false` if the file should be treated as if it was missing.

    - #### setFileValid

          public UpdateCheck<T,E> setFileValid(boolean fileValid)

      Controls whether the local file given by `getFile()`, if existent, should be considered valid or not. An invalid file is equivalent to a physically missing file.
      Parameters:
        `fileValid` - `true` if the file should be considered valid if existent, `false` if the file should be treated as if it was missing.
      Returns:
        This object for chaining.

    - #### getPolicy

          public String getPolicy()

      Gets the policy to use for the check.
      Returns:
        The policy to use for the check.
      See Also:
        `RepositoryPolicy`

    - #### setPolicy

          public UpdateCheck<T,E> setPolicy(String policy)

      Sets the policy to use for the check.
      Parameters:
        `policy` - The policy to use for the check, may be `null`.
      Returns:
        This object for chaining.
      See Also:
        `RepositoryPolicy`

    - #### getRepository

          public RemoteRepository getRepository()

      Gets the repository from which a potential update/download will performed.
      Returns:
        The repository to use for the check.

    - #### setRepository

          public UpdateCheck<T,E> setRepository(RemoteRepository repository)

      Sets the repository from which a potential update/download will performed.
      Parameters:
        `repository` - The repository to use for the check, must not be `null`.
      Returns:
        This object for chaining.

    - #### getAuthoritativeRepository

          public RemoteRepository getAuthoritativeRepository()

      Gets the repository which ultimately hosts the metadata to update. This will be different from the repository given by `getRepository()` in case the latter denotes a repository manager.
      Returns:
        The actual repository hosting the authoritative copy of the metadata to update, never `null` for a metadata update check.

    - #### setAuthoritativeRepository

          public UpdateCheck<T,E> setAuthoritativeRepository(RemoteRepository authoritativeRepository)

      Sets the repository which ultimately hosts the metadata to update. This will be different from the repository given by `getRepository()` in case the latter denotes a repository manager.
      Parameters:
        `authoritativeRepository` - The actual repository hosting the authoritative copy of the metadata to update, must not be `null` for a metadata update check.
      Returns:
        This object for chaining.

    - #### isRequired

          public boolean isRequired()

      Gets the result of a check, denoting whether the remote repository should be checked for updates.
      Returns:
        The result of a check.

    - #### setRequired

          public UpdateCheck<T,E> setRequired(boolean required)

      Sets the result of an update check.
      Parameters:
        `required` - The result of an update check. In case of `false` and the local file given by `getFile()` does actually not exist, `setException(RepositoryException)` should be used to provide the previous/cached failure that explains the absence of the file.
      Returns:
        This object for chaining.

    - #### getException

          public E getException()

      Gets the exception that occurred during the update check.
      Returns:
        The occurred exception or `null` if the update check was successful.

    - #### setException

          public UpdateCheck<T,E> setException(E exception)

      Sets the exception for this update check.
      Parameters:
        `exception` - The exception for this update check, may be `null` if the check was successful.
      Returns:
        This object for chaining.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.